### Enumeration

# FwupdPlugin ContextQuirkSource

#### Declaration

    enum FwupdPlugin.ContextQuirkSource

#### Description

No description available.

#### Members

`FU_CONTEXT_QUIRK_SOURCE_DEVICE`

  Perhaps a USB descriptor.

  - Value: `0`
  - Available since: 1.0
`FU_CONTEXT_QUIRK_SOURCE_FILE`

  An internal .quirk file.

  - Value: `1`
  - Available since: 1.0
`FU_CONTEXT_QUIRK_SOURCE_DB`

  Populated from usb.ids and pci.ids.

  - Value: `2`
  - Available since: 1.0
`FU_CONTEXT_QUIRK_SOURCE_FALLBACK`

  Perhaps from the PCI class information.

  - Value: `3`
  - Available since: 1.0